import logo from './logo.svg';
import './App.css';

import {BrowserRouter as Router, Switch, Route, Link} from "react-router-dom";

import {Welcome, Articles} from "./components/html-components.js";

import SKorDropdownMenu from "./components/skor-dropdown-menu.component.js";

import Opinions from "./components/opinions.component.js";
import AddOpinion from "./components/add-opinion.component.js";

function App() {
  return (
      <Router>
        <header>
          <h1>My Blog about Trees and Other Things</h1>
          <SKorDropdownMenu>
            <nav>
              <Link to="/">Welcome!</Link>
              <Link to="/articles">Articles</Link>
              <Link to="/opinions">Visitor opinions</Link>
              <Link to="/addOpinion">Add your opinion</Link>
            </nav>
          </SKorDropdownMenu>
        </header>
        <Switch>
          <Route path="/articles">
            <Articles />
          </Route>
          <Route path="/opinions">
            <Opinions />
          </Route>
          <Route path="/addOpinion">
            <AddOpinion />
          </Route>
          <Route path="/">
            <Welcome />
          </Route>
        </Switch>
      </Router>

  );
}

export default App;
